### Signal

# Gtk Editable::delete-text

#### Declaration

    void
    delete_text (
      GtkEditable self,
      gint start_pos,
      gint end_pos,
      gpointer user_data
    )

#### Description [src]

Emitted when text is deleted from the widget by the user.

The default handler for this signal will normally be responsible for deleting the text, so by connecting to this signal and then stopping the signal with g_signal_stop_emission(), it is possible to modify the range of deleted text, or prevent it from being deleted entirely.

The `start_pos` and `end_pos` parameters are interpreted as for gtk_editable_delete_text().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`start_pos` | `gint`
| The starting position.
`end_pos` | `gint`
| The end position.